Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.portal.provider.v1
Class HashMLString

    java.lang.Object
      |
      +--oracle.portal.provider.v1.HashMLString

public class HashMLString
extends java.lang.Object
implements MLString, java.io.Serializable

MLString is a multi-language string. An MLString allows you to store different language of the same value in the same object and retrieve a particular version based on Locale. This is designed to be used by data objects representing customization data. The Portal has a convention that many customization values should be multi-lingual. I.e. a user can store a value per language. Language is controlled via the browser's language preference setting.

See Also:
  Serialized Form

Constructor Summary
`HashMLString()`

Method Summary
`java.lang.String` | `getString(java.util.Locale l)` Returns the String in the Locale's language.
`void` | `setString(java.lang.String str, java.util.Locale l)` Sets the String value for the language defined be this Locale.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HashMLString

    public HashMLString()

Method Detail

### setString

    public void setString(java.lang.String str,
                          java.util.Locale l)

  Sets the String value for the language defined be this Locale.
  Specified by:
    setString in interface MLString
  Parameters:
    `str` - the new value

### getString

    public java.lang.String getString(java.util.Locale l)

  Returns the String in the Locale's language. If a String hasn't previously been assigned with this language then null is returned.
  Specified by:
    getString in interface MLString
  Parameters:
    `l` - the Locale (language) of the String we want.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD